lwIP 2.1.2 Lightweight IP stack

Data Fields
udp_pcb Struct Reference

`#include <udp.h>`

## Data Fields
ip_addr_t | local_ip
u16_t | local_port
ip4_addr_t | mcast_ip4
u8_t | mcast_ifindex
u8_t | mcast_ttl
u16_t | chksum_len_rx
udp_recv_fn | recv
void * | recv_arg

## Detailed Description

the UDP protocol control block

## Field Documentation

## ◆ chksum_len_rx

u16_t udp_pcb::chksum_len_rx

used for UDP_LITE only

## ◆ local_ip

ip_addr_t udp_pcb::local_ip

Common members of all PCB types

## ◆ local_port

u16_t udp_pcb::local_port

ports are in host byte order

## ◆ mcast_ifindex

u8_t udp_pcb::mcast_ifindex

outgoing network interface for multicast packets, by interface index (if nonzero)

## ◆ mcast_ip4

ip4_addr_t udp_pcb::mcast_ip4

outgoing network interface for multicast packets, by IPv4 address (if not 'any')

## ◆ mcast_ttl

u8_t udp_pcb::mcast_ttl

TTL for outgoing multicast packets

## ◆ recv

udp_recv_fn udp_pcb::recv

receive callback function

## ◆ recv_arg

void* udp_pcb::recv_arg

user-supplied argument for the recv callback

The documentation for this struct was generated from the following file:

- src/include/lwip/udp.h